Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.aspects
Class LockInterceptor

    java.lang.Object
      org.jboss.portal.server.aspects.LockInterceptor

All Implemented Interfaces:
  org.jboss.portal.common.invocation.Interceptor

Direct Known Subclasses:
  SessionLockInterceptor

    public abstract class LockInterceptor

extends java.lang.Object
implements org.jboss.portal.common.invocation.Interceptor

Version:
  $Revision: 11433 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `LockInterceptor.InternalLock`

Constructor Summary
`LockInterceptor()`

Method Summary
`protected LockInterceptor.InternalLock` | `acquire(java.lang.Object lockId)`
`protected abstract java.lang.Object` | `getLockId(org.jboss.portal.common.invocation.Invocation invocation)`
`java.lang.Object` | `invoke(org.jboss.portal.common.invocation.Invocation invocation)`
`protected void` | `release(LockInterceptor.InternalLock internalLock)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockInterceptor

    public LockInterceptor()

Method Detail

### acquire

    protected LockInterceptor.InternalLock acquire(java.lang.Object lockId)

### release

    protected void release(LockInterceptor.InternalLock internalLock)

### getLockId

    protected abstract java.lang.Object getLockId(org.jboss.portal.common.invocation.Invocation invocation)

### invoke

    public java.lang.Object invoke(org.jboss.portal.common.invocation.Invocation invocation)
                            throws java.lang.Exception,
                                   org.jboss.portal.common.invocation.InvocationException

  Specified by:
    `invoke` in interface `org.jboss.portal.common.invocation.Interceptor`
  Throws:
    `java.lang.Exception`
    `org.jboss.portal.common.invocation.InvocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD